Send A Message
curl --request POST \
--url 'https://api.example.com/api/v1/messaging/{widget_id}?api_key=' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Hi, how are you?",
"start_new_conversation": true,
"to": "919810012345"
}
'import requests
url = "https://api.example.com/api/v1/messaging/{widget_id}?api_key="
payload = {
"message": "Hi, how are you?",
"start_new_conversation": True,
"to": "919810012345"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: 'Hi, how are you?', start_new_conversation: true, to: '919810012345'})
};
fetch('https://api.example.com/api/v1/messaging/{widget_id}?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Messaging
Send A Message
To send a text message to a given telephone number or a contact
- widget_id: Widget ID to be used for initiating the call. It must be connected to WhatsApp or SMS.
- to: phone number of the recipient. should contain the country code. For ex: 16501111234
- contact_id: contact ID to whom the message is to be sent. (either to or contact_id must be given)
- message: text message to be sent.
- start_new_conversation: whether to start a new conversation or pick the latest.
POST
/
api
/
v1
/
messaging
/
{widget_id}
Send A Message
Authorizations
Your API KeyHTTPBearer
Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?

